using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Customer
{
    /// <summary>
    /// 客户资料表
    /// </summary>
    [SugarTable("Crm_CustomerFile")]
    public class Crm_CustomerFile:EntityBase
    {
        /// <summary>
        /// 客户Id
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="int")]
        public int DcId { get; set; }
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="varchar(80)")]
        public string Publisher { get; set; }
        /// <summary>
        /// 文件名
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="varchar(300)")]
        public string FileName { get; set; }
        /// <summary>
        /// 所属环节
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="int")]
        public int FileBusiType { get; set; }
    }
}
